<ng-template #headerTpl>
  <strong class="mr-auto">{{header}}</strong>
</ng-template>
<ng-template [ngIf]="contentHeaderTpl || header">
  <div class="toast-header d-block">
    <div class="position-relative">
      <ng-template [ngTemplateOutlet]="contentHeaderTpl || headerTpl"></ng-template>
      <div class="position-absolute top-0 end-0">
        <button
          type="button"
          class="btn p-0"
          data-bs-dismiss="toast"
          aria-label="Close"
          i18n-aria-label="@@ngb.toast.close-aria"
          (click)="hide()"
        >
          <fa-icon width="24" height="24" role="img" [icon]="closeIcon"></fa-icon>
        </button>
      </div>
    </div>
  </div>
</ng-template>
<div class="toast-body">
  <ng-content></ng-content>
</div>
